# $Revision: 1.14 $, $Date: 2006/03/04 22:40:34 $
%define		module	cElementTree
# the date is just the date when it was released, not real snapshot
%define		_snap	20051216
Summary:	A fast and pythonic XML parser
Summary(pl):	Szybki pythonowy parser XML
Name:		python-%{module}
Version:	1.0.5
Release:	0.%{_snap}.3
License:	Python (MIT style)
Group:		Development/Languages/Python
Source0:	http://effbot.org/downloads/cElementTree-%{version}-%{_snap}.tar.gz
# Source0-md5:	b6896e742e39f594046b07e58f1d25fe
Patch0:		%{name}-system_expat.patch
Patch1:		%{name}-egg.patch
URL:		http://effbot.org/zone/celementtree.htm
BuildRequires:	expat-devel
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-elementtree
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The cElementTree module is a C implementation of the ElementTree API.
On typical documents, it's 15-20 times faster than the Python version
of ElementTree, and uses 2-5 times less memory.

%description -l pl
Modu cElementTree to implementacja w C API ElementTree. Na typowych
dokumentach jest 15-20 razy szybszy od pythonowej wersji ElementTree i
uywa 2-5 razy mniej pamici.

%prep
%setup -q -n %{module}-%{version}-%{_snap}
rm -rf expat
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{rpmcflags}" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--single-version-externally-managed \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {samples,README,CHANGES}
%attr(755,root,root) %{py_sitedir}/cElementTree.so
%{py_sitedir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-cElementTree.spec,v $
Revision 1.14  2006/03/04 22:40:34  glen
- rel 0.20051216.3

Revision 1.13  2006/03/04 22:40:04  glen
- restore egg info

Revision 1.12  2006/03/04 15:05:14  glen
- unneccessary

Revision 1.11  2006/03/04 14:52:21  glen
- test

Revision 1.10  2006/03/04 13:22:09  glen
- req python-elementtree

Revision 1.9  2006/03/04 13:12:54  glen
- updated to 1.0.5-20051216

Revision 1.8  2005/12/24 14:06:59  arekm
- rel 5; BR setuptools

Revision 1.7  2005/12/24 14:02:58  arekm
- rebuild

Revision 1.6  2005/12/20 20:29:57  arekm
- new setuptools way

Revision 1.5  2005/12/09 21:52:19  arekm
- rel .3; package egg version

Revision 1.4  2005/10/22 22:53:19  qboosh
- updated pl desc

Revision 1.3  2005/10/22 22:49:36  glen
- system_expat patch

Revision 1.2  2005/10/22 22:26:52  glen
- as i was blind enough to create another python-cElementTree.spec,
  then merged with one what i created

Revision 1.1  2005/09/28 20:10:58  arekm
- initial pld release
